Debian Bug report logs - #586674
gnome-power-manager: since kernel 2.6.35-rc2 g-p-m does not suspend anymore, but freezes the computer

version graph

Package: uswsusp; Maintainer for uswsusp is Rodolfo García Peñas (kix) <kix@debian.org>; Source for uswsusp is src:uswsusp.

Reported by: Norbert Preining <preining@logic.at>

Date: Mon, 21 Jun 2010 15:36:01 UTC

Severity: important

Fixed in version uswsusp/1.0-1

Done: Rodolfo García Peñas (kix) <kix@kix.es>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, preining@logic.at, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586674; Package gnome-power-manager. (Mon, 21 Jun 2010 15:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
New Bug report received and forwarded. Copy sent to preining@logic.at, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 21 Jun 2010 15:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-power-manager: since kernel 2.6.35-rc2 g-p-m does not suspend anymore, but freezes the computer
Date: Tue, 22 Jun 2010 00:33:26 +0900
Package: gnome-power-manager
Version: 2.30.1-1
Severity: important

See $subject.

Up to 2.6.35-rc1 suspending with g-p-m, i.e. closing the lid, or clicking
on the on-off icon and selecting suspend worked rock-stable.

Since 2.6.35-rc2 it freezes the computer about 60% of the time rock-solid,
too, not even sysrq is working.

BUT (and that is the important point!), a simple
	echo mem > /sys/power/state
(as root) works like a breeze, wakes up in fact faster (at least that
is the feeling) and never stucked till now on newer kernels.

So, can g-p-m be fixed, or told to run only that echo thingy, or convinced
in some other way to use a working way?

Thanks

Norbert

-- Package-specific info:
Distro version:       squeeze/sid
Kernel version:       2.6.35-rc3+
g-p-m version:        2.30.1
HAL version:          0.5.14
System manufacturer:  missing
System version:       missing
System product:       missing
AC adapter present:   yes
Battery present:      yes
Laptop panel present: yes
CPU scaling present:  yes
Battery Information:
  battery.charge_level.current = 39810  (0x9b82)  (int)
  battery.charge_level.design = 89260  (0x15cac)  (int)
  battery.charge_level.last_full = 89260  (0x15cac)  (int)
  battery.charge_level.percentage = 44  (0x2c)  (int)
  battery.charge_level.rate = 17203  (0x4333)  (int)
  battery.is_rechargeable = true  (bool)
  battery.model = ''  (string)
  battery.present = true  (bool)
  battery.rechargeable.is_charging = false  (bool)
  battery.rechargeable.is_discharging = true  (bool)
  battery.remaining_time = 8330  (0x208a)  (int)
  battery.reporting.current = 39810  (0x9b82)  (int)
  battery.reporting.design = 89260  (0x15cac)  (int)
  battery.reporting.last_full = 89260  (0x15cac)  (int)
  battery.reporting.rate = 17203  (0x4333)  (int)
  battery.reporting.technology = 'Li-ion'  (string)
  battery.reporting.unit = 'mWh'  (string)
  battery.serial = ''  (string)
  battery.technology = 'lithium-ion'  (string)
  battery.type = 'primary'  (string)
  battery.vendor = 'Sony Corporation'  (string)
  battery.voltage.current = 10759  (0x2a07)  (int)
  battery.voltage.design = 10800  (0x2a30)  (int)
  battery.voltage.unit = 'mV'  (string)
DeviceKit data:
Device: /org/freedesktop/UPower/devices/line_power_AC
  native-path:          /sys/devices/LNXSYSTM:00/LNXSYBUS:00/ACPI0003:00/power_supply/AC
  power supply:         yes
  updated:              Tue Jun 22 00:17:14 2010 (816 seconds ago)
  has history:          no
  has statistics:       no
  line-power
    online:             no

Device: /org/freedesktop/UPower/devices/battery_BAT0
  native-path:          /sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0A:00/power_supply/BAT0
  vendor:               Sony Corporation
  power supply:         yes
  updated:              Tue Jun 22 00:30:29 2010 (21 seconds ago)
  has history:          yes
  has statistics:       yes
  battery
    present:             yes
    rechargeable:        yes
    state:               discharging
    energy:              39.81 Wh
    energy-empty:        0 Wh
    energy-full:         89.26 Wh
    energy-full-design:  89.26 Wh
    energy-rate:         17.203 W
    voltage:             10.759 V
    time to empty:       2.3 hours
    percentage:          44.6%
    capacity:            100%
    technology:          lithium-ion
  History (charge):
    1277134229	44.600	discharging
    1277134199	44.667	discharging
    1277134169	44.779	discharging
    1277134139	45.239	discharging
  History (rate):
    1277134229	17.203	discharging
    1277134199	17.284	discharging
    1277134169	17.512	discharging
    1277134139	17.014	discharging

Daemon:
  daemon-version:  0.9.4
  can-suspend:     yes
  can-hibernate    yes
  on-battery:      yes
  on-low-battery:  no
  lid-is-closed:   no
  lid-is-present:   yes
GNOME Power Manager Process Information:
HAL Process Information:
109       2199  0.0  0.1  44396  4780 ?        Ssl  00:11   0:00 /usr/sbin/hald
root      2205  0.0  0.0  22208  1368 ?        S    00:11   0:00  \_ hald-runner
root      2728  0.0  0.0  24324  1312 ?        S    00:11   0:00      \_ hald-ad
109       2741  0.0  0.0  26144  1248 ?        S    00:11   0:00      \_ hald-ad
root      2742  0.0  0.0  24320  1392 ?        S    00:11   0:00      \_ hald-ad

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35-rc3+ (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnome-power-manager depends on:
ii  consolekit                    0.4.1-4    framework for defining and trackin
ii  dbus-x11                      1.2.24-1   simple interprocess messaging syst
ii  gconf2                        2.28.1-3   GNOME configuration database syste
ii  libbonobo2-0                  2.24.3-1   Bonobo CORBA interfaces library
ii  libc6                         2.11.2-1   Embedded GNU C Library: Shared lib
ii  libcairo2                     1.8.10-4   The Cairo 2D vector graphics libra
ii  libcanberra-gtk0              0.24-1     Gtk+ helper for playing widget eve
ii  libcanberra0                  0.24-1     a simple abstract interface for pl
ii  libdbus-1-3                   1.2.24-1   simple interprocess messaging syst
ii  libdbus-glib-1-2              0.86-1     simple interprocess messaging syst
ii  libdevkit-power-gobject1      1:0.9.4-2  abstraction for power management -
ii  libgconf2-4                   2.28.1-3   GNOME configuration database syste
ii  libglib2.0-0                  2.24.1-1   The GLib library of C routines
ii  libgnome-keyring0             2.30.1-1   GNOME keyring services library
ii  libgtk2.0-0                   2.20.1-1   The GTK+ graphical user interface 
ii  libnotify1 [libnotify1-gtk2.1 0.4.5-1    sends desktop notifications to a n
ii  libpanel-applet2-0            2.30.0-2   library for GNOME Panel applets
ii  libpango1.0-0                 1.28.1-1   Layout and rendering of internatio
ii  libunique-1.0-0               1.1.6-1    Library for writing single instanc
ii  libx11-6                      2:1.3.3-3  X11 client-side library
ii  libxext6                      2:1.1.1-3  X11 miscellaneous extension librar
ii  libxrandr2                    2:1.3.0-3  X11 RandR extension library
ii  notification-daemon           0.4.0-2    a daemon that displays passive pop
ii  upower                        0.9.4-2    abstraction for power management

Versions of packages gnome-power-manager recommends:
ii  udisks               1.0.1+git20100614-1 abstraction for enumerating block 

Versions of packages gnome-power-manager suggests:
ii  hal                           0.5.14-2   Hardware Abstraction Layer

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586674; Package gnome-power-manager. (Mon, 21 Jun 2010 15:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 586674@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 21 Jun 2010 15:42:02 GMT) Full text and rfc822 format available.

Message #10 received at 586674@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Norbert Preining <preining@logic.at>, 586674@bugs.debian.org
Subject: Re: Bug#586674: gnome-power-manager: since kernel 2.6.35-rc2 g-p-m does not suspend anymore, but freezes the computer
Date: Mon, 21 Jun 2010 17:39:01 +0200
[Message part 1 (text/plain, inline)]
Le mardi 22 juin 2010 à 00:33 +0900, Norbert Preining a écrit :
> Up to 2.6.35-rc1 suspending with g-p-m, i.e. closing the lid, or clicking
> on the on-off icon and selecting suspend worked rock-stable.
> 
> Since 2.6.35-rc2 it freezes the computer about 60% of the time rock-solid,
> too, not even sysrq is working.
> 
> BUT (and that is the important point!), a simple
> 	echo mem > /sys/power/state
> (as root) works like a breeze, wakes up in fact faster (at least that
> is the feeling) and never stucked till now on newer kernels.

What happens if you use pm-suspend?

-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586674; Package gnome-power-manager. (Mon, 21 Jun 2010 15:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 21 Jun 2010 15:51:07 GMT) Full text and rfc822 format available.

Message #15 received at 586674@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: 586674@bugs.debian.org
Subject: Re: Bug#586674: gnome-power-manager: since kernel 2.6.35-rc2 g-p-m does not suspend anymore, but freezes the computer
Date: Tue, 22 Jun 2010 00:47:15 +0900
Hi Josselin,

On Mo, 21 Jun 2010, Josselin Mouette wrote:
> What happens if you use pm-suspend?

The same. 

BUT, I found a way to circumvent that. Reading through the pm-suspend
man page I did set
	SLEEP_MODULE=kernel
in /etc/pm/config.d/00-local and wushhh, working again like a charme.

Seems that s2ram from uswsusp is to blame.

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
GRINSTEAD (n.)
The state of a lady's clothing after she has been to powder her nose
and has hitched up her tights over her skirt at the back, thus
exposing her bottom, and has walked out without noticing it.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#586674; Package gnome-power-manager. (Mon, 21 Jun 2010 16:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 21 Jun 2010 16:06:08 GMT) Full text and rfc822 format available.

Message #20 received at 586674@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Norbert Preining <preining@logic.at>, 586674@bugs.debian.org
Cc: Tim Dijkstra <tim@famdijkstra.org>
Subject: Re: Bug#586674: gnome-power-manager: since kernel 2.6.35-rc2 g-p-m does not suspend anymore, but freezes the computer
Date: Mon, 21 Jun 2010 18:05:22 +0200
[Message part 1 (text/plain, inline)]
reassign 586674 pm-utils
thanks

Le mardi 22 juin 2010 à 00:47 +0900, Norbert Preining a écrit :
> Hi Josselin,
> 
> On Mo, 21 Jun 2010, Josselin Mouette wrote:
> > What happens if you use pm-suspend?
> 
> The same. 
> 
> BUT, I found a way to circumvent that. Reading through the pm-suspend
> man page I did set
> 	SLEEP_MODULE=kernel
> in /etc/pm/config.d/00-local and wushhh, working again like a charme.
> 
> Seems that s2ram from uswsusp is to blame.

Thanks for the analysis. I’m reassigning to pm-utils, since it should
probably stop using s2ram now, but maybe it can be fixed in uswsusp
instead.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'gnome-power-manager' to 'pm-utils'. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Mon, 21 Jun 2010 16:06:11 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions gnome-power-manager/2.30.1-1. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Mon, 21 Jun 2010 16:06:12 GMT) Full text and rfc822 format available.

Bug reassigned from package 'pm-utils' to 'uswsusp'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Mon, 21 Jun 2010 17:00:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@debian.org>:
Bug#586674; Package uswsusp. (Mon, 21 Jun 2010 17:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@debian.org>. (Mon, 21 Jun 2010 17:09:05 GMT) Full text and rfc822 format available.

Message #31 received at 586674@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 586674@bugs.debian.org
Cc: Josselin Mouette <joss@debian.org>, Norbert Preining <preining@logic.at>, "Tim Dijkstra (pm-utils for {586674})" <tim@famdijkstra.org>
Subject: Re: Processed: Re: Bug#586674: gnome-power-manager: since kernel 2.6.35-rc2 g-p-m does not suspend anymore, but freezes the computer
Date: Mon, 21 Jun 2010 19:04:15 +0200
[Message part 1 (text/plain, inline)]
The uswsusp package hasn't been updated for ages and I guess the failure is due
the move to KMS (Norbert, I guess you use the opensource radeon, nouveau or
intel driver?) and I thus reassigned it to uswsusp.

Due to issues like that, I've changed pm-utils to no longer recommend the
uswsusp package (I probably should also drop the Suggests on uswsusp).
What we still do, is use the uswsusp backend automatically, if the package is
installed. Maybe we should change that in pm-utils. Unless the user explicitly
configures pm-utils, to use an alternative backend like uswusp or tuxonice, we
always use the kernel module.

Comments welcome.

Michael



-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@debian.org>:
Bug#586674; Package uswsusp. (Mon, 21 Jun 2010 18:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@debian.org>. (Mon, 21 Jun 2010 18:27:05 GMT) Full text and rfc822 format available.

Message #36 received at 586674@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 586674@bugs.debian.org, Norbert Preining <preining@logic.at>, "Tim Dijkstra (pm-utils for {586674})" <tim@famdijkstra.org>
Subject: Re: Processed: Re: Bug#586674: gnome-power-manager: since kernel 2.6.35-rc2 g-p-m does not suspend anymore, but freezes the computer
Date: Mon, 21 Jun 2010 20:24:52 +0200
[Message part 1 (text/plain, inline)]
Le lundi 21 juin 2010 à 19:04 +0200, Michael Biebl a écrit :
> The uswsusp package hasn't been updated for ages and I guess the failure is due
> the move to KMS (Norbert, I guess you use the opensource radeon, nouveau or
> intel driver?) and I thus reassigned it to uswsusp.
> 
> Due to issues like that, I've changed pm-utils to no longer recommend the
> uswsusp package (I probably should also drop the Suggests on uswsusp).
> What we still do, is use the uswsusp backend automatically, if the package is
> installed. Maybe we should change that in pm-utils. Unless the user explicitly
> configures pm-utils, to use an alternative backend like uswusp or tuxonice, we
> always use the kernel module.

I think this would be the sensible thing to do. Until now the kernel
backend has proven more reliable.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@debian.org>:
Bug#586674; Package uswsusp. (Wed, 23 Jun 2010 15:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@debian.org>. (Wed, 23 Jun 2010 15:48:03 GMT) Full text and rfc822 format available.

Message #41 received at 586674@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Michael Biebl <biebl@debian.org>
Cc: 586674@bugs.debian.org, Josselin Mouette <joss@debian.org>, "Tim Dijkstra (pm-utils for {586674})" <tim@famdijkstra.org>
Subject: Re: Processed: Re: Bug#586674: gnome-power-manager: since kernel 2.6.35-rc2 g-p-m does not suspend anymore, but freezes the computer
Date: Thu, 24 Jun 2010 00:44:54 +0900
Hi all,

On Mo, 21 Jun 2010, Michael Biebl wrote:
> The uswsusp package hasn't been updated for ages and I guess the failure is due
> the move to KMS (Norbert, I guess you use the opensource radeon, nouveau or
> intel driver?) and I thus reassigned it to uswsusp.

That seems to be the right place.

But there are more issues here I found.

In my case, the "echo mem > ..." way works *100%* without a problem, 
while even with setting the SLEEP_MODULE=kernel for pm utils it still
hangs sometimes.

Hard to say what it might be. 

If anyone has a suggestions where/how to start please let me know.

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
ARDCRONY (n.)
A remote acquaintance passed off as 'a very good friend of mine' by
someone trying to impress people.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@debian.org>:
Bug#586674; Package uswsusp. (Wed, 23 Jun 2010 17:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dan Carpenter <error27@gmail.com>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@debian.org>. (Wed, 23 Jun 2010 17:27:02 GMT) Full text and rfc822 format available.

Message #46 received at 586674@bugs.debian.org (full text, mbox):

From: Dan Carpenter <error27@gmail.com>
To: 586674@bugs.debian.org
Subject: Bug#586674: is this a KMS thing?
Date: Wed, 23 Jun 2010 19:22:39 +0200
Could you try disabling KMS and see if the bug still happens?

In my view, this is clearly a kernel bug.  According to
bugzilla.kernel.org, this used to work in v2.6.35-rc1 and broke in
v2.6.35-rc2.

When you do a suspend from the outside X with pm-utils does it give you
any dmesg output before the hang?

regards,
dan carpenter




Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@debian.org>:
Bug#586674; Package uswsusp. (Fri, 23 Jul 2010 01:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@debian.org>. (Fri, 23 Jul 2010 01:06:07 GMT) Full text and rfc822 format available.

Message #51 received at 586674@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Michael Biebl <biebl@debian.org>
Cc: 586674@bugs.debian.org, Josselin Mouette <joss@debian.org>, "Tim Dijkstra (pm-utils for {586674})" <tim@famdijkstra.org>
Subject: Re: Processed: Re: Bug#586674: gnome-power-manager: since kernel 2.6.35-rc2 g-p-m does not suspend anymore, but freezes the computer
Date: Fri, 23 Jul 2010 10:04:28 +0900
reassign 586674 pm-utils
thanks

On Mo, 21 Jun 2010, Michael Biebl wrote:
> The uswsusp package hasn't been updated for ages and I guess the failure is due
> the move to KMS (Norbert, I guess you use the opensource radeon, nouveau or
> intel driver?) and I thus reassigned it to uswsusp.

Ok, I found the culprit, and I believe that it is a kernel issue, but
keep that open for now.

The hang *only* occurs when 
	/usr/lib/pm-utils/sleep.d/94cpufreq 
is executed. It seems that setting the default governor to performance
somehow at this point makes the laptop hang.

I fixed that by adding
	TEMPORARY_CPUFREQ_GOVERNOR="foobarbaz_not_available"
to /etc/pm/config.d/00-local which in the code path of the above script
means that no action will be done.

I will later on report a bug to the kernel bugzilla or lkml list.


Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
SHENANDOAH (n.)
The infinite smugness of one who knows they are entitled to a place in
a nuclear bunker.
			--- Douglas Adams, The Meaning of Liff




Reply sent to Rodolfo García Peñas (kix) <kix@kix.es>:
You have taken responsibility. (Mon, 14 Mar 2011 11:21:35 GMT) Full text and rfc822 format available.

Notification sent to Norbert Preining <preining@logic.at>:
Bug acknowledged by developer. (Mon, 14 Mar 2011 11:21:35 GMT) Full text and rfc822 format available.

Message #56 received at 586674-close@bugs.debian.org (full text, mbox):

From: Rodolfo García Peñas (kix) <kix@kix.es>
To: 586674-close@bugs.debian.org
Subject: Bug#586674: fixed in uswsusp 1.0-1
Date: Mon, 14 Mar 2011 11:17:21 +0000
Source: uswsusp
Source-Version: 1.0-1

We believe that the bug you reported is fixed in the latest version of
uswsusp, which is due to be installed in the Debian FTP archive:

uswsusp_1.0-1.debian.tar.bz2
  to main/u/uswsusp/uswsusp_1.0-1.debian.tar.bz2
uswsusp_1.0-1.dsc
  to main/u/uswsusp/uswsusp_1.0-1.dsc
uswsusp_1.0-1_amd64.deb
  to main/u/uswsusp/uswsusp_1.0-1_amd64.deb
uswsusp_1.0.orig.tar.bz2
  to main/u/uswsusp/uswsusp_1.0.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 586674@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rodolfo García Peñas (kix) <kix@kix.es> (supplier of updated uswsusp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 14 Mar 2011 08:26:16 +0100
Source: uswsusp
Binary: uswsusp
Architecture: source amd64
Version: 1.0-1
Distribution: unstable
Urgency: low
Maintainer: Tim Dijkstra <tim@debian.org>
Changed-By: Rodolfo García Peñas (kix) <kix@kix.es>
Description: 
 uswsusp    - tools to use userspace software suspend provided by Linux
Closes: 433872 437094 486352 495111 520705 528483 547158 549118 550725 552484 567604 576803 578496 586674 589743 590233 595125 617534
Changes: 
 uswsusp (1.0-1) unstable; urgency=low
 .
   [ Rodolfo García Peñas (kix) ]
   * New 1.0 version [Closes: #589743, #578496, #617534]
   * A lot of new machines.
     [Closes: #552484, #576803, #528483]
     [Closes: #495111, #595125, #486352, #433872, #590233]
   * A new length for addressing
     [Closes: #550725, #549118]
     (http://lkml.org/lkml/2009/11/3/377)
   * Support for Kernel Mode Set (KMS)
     [Closes: #437094, #586674, #547158, #567604]
   * Switch to dpkg-source 3.0 (quilt) format
   * Compiled without splash support.
     libsplash is not included in stable, many bugs.
   * Moved the manpage file "suspend.conf.8" to manual section 5.
     [Closes: #520705]
 .
   [ Anibal Monsalve Salazar ]
   * Update uploaders list
Checksums-Sha1: 
 db7b4116f8d29814f9f4287cabb39811a3c47107 1918 uswsusp_1.0-1.dsc
 49ac219b54780265c31e8263d00e2b7b525d0736 408451 uswsusp_1.0.orig.tar.bz2
 9e32d43332800c73d2c2e13a446be9a3ed40b72a 68863 uswsusp_1.0-1.debian.tar.bz2
 7717fb75ed6737075f003fd5e4377f357a694b84 217220 uswsusp_1.0-1_amd64.deb
Checksums-Sha256: 
 bd0f6c3971bdf5789f9c46ef7618320a9da4648bb52cf3da0752f589c94db2d7 1918 uswsusp_1.0-1.dsc
 0206ba6332860b6da57acc79cc0f8604150ef0835ff9633fd42d59d181a6c85d 408451 uswsusp_1.0.orig.tar.bz2
 55a9c5ce2c3e54557534c39cc02fa9c84214760dc479a64df021c98985f06fce 68863 uswsusp_1.0-1.debian.tar.bz2
 d646275b8d73fa418b7561e4b54b43ddc3290303b463cacf25abb9c7f16166c5 217220 uswsusp_1.0-1_amd64.deb
Files: 
 bb288838e129027f039b6df448dea7cf 1918 admin optional uswsusp_1.0-1.dsc
 02f7d4b679bad1bb294a0efe48ce5934 408451 admin optional uswsusp_1.0.orig.tar.bz2
 dd7ab4431c4dbbc65f75cb3823ca4568 68863 admin optional uswsusp_1.0-1.debian.tar.bz2
 ab1dab50dc597155a524e63af6a0434a 217220 admin optional uswsusp_1.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQIcBAEBCAAGBQJNffWiAAoJEHxWrP6UeJfY5/oQALdP2sTfMqqxxoDko2kwSCoD
MbYk1/FSv7sIpyvgl6o+ZCT7gh4e8Dny8pP+sOSijLZp2d7yFEi/fFbYSJNvOpl6
PKagJRpnbWLb4ViPI42sj7byHrM4m/qgKleEMEq9+gZG0UzTKBr1DGenxkzWynHY
v02zzltX+3DPurO+BcjeT7xVs7CqwM4jhisuATwE5SbgqLnJ+Yg8sY3+WQiT/C5j
d07glU4asgsVwpmQxcKdkf0y9azpmtZsbEChBg0XVc/mVFL3rDnCtb3d9r3CWHzS
sTz0zSbibyqa90DfRmHd2WuNt8rhU6vpHAnKeyJAWGLjD/np7x1GdnlOidu+7wlw
sBYK8Ui4KhguqFfG2AkMmVZd/GMvAC5O8w7TkIyiCngJNxLUBSY6BeRnBd0euY29
gJXL5NDIQ2o5La1waiQXq1MtAnKQmxMzHgAqKMr2WF6Q+Qb16enN8HeelEdhd+E4
aVfW5Vk2PWHm+AcGBm8GFUUDZ/TNv73khpc7nVD43rLFwenAyLmaAln7YGnoL29W
VscVNUdnO5SQk2yFB+eP3XZfz3nfw89ZGBEA1IkxevOtYxUBPMER0cahHiK+UuxO
9V71NH+MwSWgwPcLMfnJdLbI4vdC00h92EArKZuOITfFZPL+x8LV275YlpNnZd2m
fA0gv4Tu9RD+KWMSaE63
=dIf/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Apr 2011 07:38:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:15:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.